Package org.pgpainless.sop

# Class InlineSignImpl

java.lang.Object
org.pgpainless.sop.InlineSignImpl

All Implemented Interfaces:
  `sop.operation.AbstractSign<sop.operation.InlineSign>`, `sop.operation.InlineSign`

public class InlineSignImpl extends Object implements sop.operation.InlineSign
Implementation of the

    inline-sign

operation using PGPainless.

## Constructor Summary

Constructors
Constructor
Description
`InlineSignImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.Ready`
`data(InputStream data)`
`sop.operation.InlineSign`
`key(InputStream keyIn)`
`sop.operation.InlineSign`
`mode(sop.enums.InlineSignAs mode)`
`sop.operation.InlineSign`
`noArmor()`
`sop.operation.InlineSign`
`withKeyPassword(byte[] password)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.AbstractSign

`key, withKeyPassword`

### Methods inherited from interface sop.operation.InlineSign

`data`

## Constructor Details

### InlineSignImpl

public InlineSignImpl()

## Method Details

### mode

public sop.operation.InlineSign mode(sop.enums.InlineSignAs mode) throws sop.exception.SOPGPException.UnsupportedOption

Specified by:
  `mode` in interface `sop.operation.InlineSign`
Throws:
  `sop.exception.SOPGPException.UnsupportedOption`

### noArmor

public sop.operation.InlineSign noArmor()

Specified by:
  `noArmor` in interface `sop.operation.AbstractSign<sop.operation.InlineSign>`

### key

public sop.operation.InlineSign key(InputStream keyIn) throws sop.exception.SOPGPException.KeyCannotSign, sop.exception.SOPGPException.BadData, IOException

Specified by:
  `key` in interface `sop.operation.AbstractSign<sop.operation.InlineSign>`
Throws:
  `sop.exception.SOPGPException.KeyCannotSign`
  `sop.exception.SOPGPException.BadData`
  `IOException`

### withKeyPassword

public sop.operation.InlineSign withKeyPassword(byte[] password)

Specified by:
  `withKeyPassword` in interface `sop.operation.AbstractSign<sop.operation.InlineSign>`

### data

public sop.Ready data(InputStream data) throws sop.exception.SOPGPException.KeyIsProtected, sop.exception.SOPGPException.ExpectedText

Specified by:
  `data` in interface `sop.operation.InlineSign`
Throws:
  `sop.exception.SOPGPException.KeyIsProtected`
  `sop.exception.SOPGPException.ExpectedText`